July 31, 2017 - Concise Beam version 4.60s is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF JULY 2017 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60s is a maintenance release which includes the following changes;

Please let me know if you have any suggestions for Concise Beam. If your evaluation period is over but you'd like to try this latest release before purchasing a license you can ask for a short extension to your evaluation period by contacting me.

June 21, 2017 - Concise Beam version 4.60r is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF JUNE 2017 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60r is a maintenance release which includes the following changes;

May 8, 2017 - Concise Beam version 4.60q is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF MAY 2017 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60q is a maintenance release which includes the following changes;

April 10, 2017 - Concise Beam version 4.60p is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF APRIL 2017 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60p is a maintenance release which includes the following changes;

March 11, 2017 - Concise Beam version 4.60o is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF MARCH 2017 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60o is a maintenance release which includes the following changes;

February 16, 2017 - Concise Beam version 4.60n is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF FEBRUARY 2017 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60n is a maintenance release which includes the following changes;

January 12, 2017 - Concise Beam version 4.60m is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF JANUARY 2017 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60m is a maintenance release which includes the following changes;

December 31, 2016 - Concise Beam version 4.60L is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF DECEMBER 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60L is a maintenance release which includes the following changes;

November 23, 2016 - Concise Beam version 4.60k is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF NOVEMBER 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60k is a maintenance release which includes the following changes;

October 31, 2016 - Concise Beam version 4.60j is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF OCTOBER 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60j is a maintenance release which includes the following changes;

October 13, 2016 - Concise Beam version 4.60i is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF OCTOBER 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60i is a maintenance release which includes the following changes;

September 27, 2016 - Concise Beam version 4.60h is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF SEPTEMBER 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60h is a maintenance release which includes the following changes;

September 18, 2016 - Concise Beam version 4.60g is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF SEPTEMBER 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60g is a maintenance release which includes the following changes;

September 10, 2016 - Concise Beam version 4.60f is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF SEPTEMBER 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60f is a maintenance release which includes the following changes;

August 31, 2016 - Concise Beam version 4.60e is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF AUGUST 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60e is a maintenance release which includes the following changes;

August 29, 2016 - Concise Beam version 4.60d is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF AUGUST 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60d is a maintenance release which includes the following changes;

August 23, 2016 - Concise Beam version 4.60c is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF AUGUST 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60c is a maintenance release which includes the following changes;

August 4, 2016 - Concise Beam version 4.60b is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF AUGUST 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60b is a maintenance release which includes the following changes;

July 30, 2016 - Concise Beam version 4.60a is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF JULY 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60a is an interim release which includes the following changes;

July 25, 2016 - Concise Beam version 4.60 is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF JULY 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.60 is an extensive new release which includes the following changes;

DESIGN CODES

LOADING

BEAM MODELLING

SERVICEABILITY CHECKS

PRESTRESSING

FLEXURAL DESIGN CHECK

SHEAR AND TORSION DESIGN CHECK

GENERAL

INPUT

OUTPUT

LIBRARIES

Please let me know if you have any suggestions for Concise Beam. If your evaluation period is over but you'd like to try this latest release before purchasing a license you can ask for a short extension to your evaluation period by contacting me.

February 13, 2016 - Concise Beam version 4.59x is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF FEBRUARY 2016 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59x is an interim release which includes the following changes;

December 09, 2015 - Concise Beam version 4.59w is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF DECEMBER 2015 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59w is an interim release which includes the following changes;

September 24, 2015 - Concise Beam version 4.59v is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF SEPTEMBER 2015 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59v is an interim release which includes the following changes;

April 29, 2015 - Concise Beam version 4.59u is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF APRIL 2015 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59u is maintenance release which includes the following changes;

February 22, 2015 - Concise Beam version 4.59t is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF FEBRUARY 2015 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59t is maintenance release which includes the following changes;

December 18, 2014 - Concise Beam version 4.59s is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF DECEMBER 2014 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59s is maintenance release which includes the following changes;

October 29, 2014 - Concise Beam version 4.59r is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF OCTOBER 2014 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59r is maintenance release which includes the following changes;

October 22, 2014 - Concise Beam version 4.59q is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF OCTOBER 2014 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59q is maintenance release which includes the following changes;

September 26, 2014 - Concise Beam version 4.59p is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF SEPTEMBER 2014 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59p is maintenance release which includes the following changes;

July 24, 2014 - Concise Beam version 4.59o is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF JULY 2014 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59o is maintenance release which includes the following changes;

June 25, 2014 - Concise Beam version 4.59n is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF JUNE 2014 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59n is maintenance release which includes the following changes;

April 8, 2014 - Concise Beam version 4.59m is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF APRIL 2014 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59m is maintenance release which includes the following changes;

March 11, 2014 - Concise Beam version 4.59L is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF MARCH 2014 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59L is maintenance release which includes the following changes;

January 10, 2014 - Concise Beam version 4.59k is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF JANUARY 2014 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59k is maintenance release which includes the following changes;

November 30, 2013 - Concise Beam version 4.59j is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF NOVEMBER 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59j is maintenance release which includes the following changes;

October 31, 2013 - Concise Beam version 4.59i is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF OCTOBER 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59i is maintenance release which includes the following changes;

August 16, 2013 - Concise Beam version 4.59h is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF AUGUST 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59h is maintenance release which includes the following changes;

July 25, 2013 - Concise Beam version 4.59g is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF JULY 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59g is maintenance release which includes the following changes;

June 5, 2013 - Concise Beam version 4.59f is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF JUNE 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59f is maintenance release which includes the following changes;

May 31, 2013 - Concise Beam version 4.59e is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF MAY 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59e is maintenance release which includes the following changes;

May 10, 2013 - Concise Beam version 4.59d is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF MAY 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59d is maintenance release which includes the following changes;

May 4, 2013 - Concise Beam version 4.59c is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF MAY 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59c is maintenance release which includes the following changes;

May 2, 2013 - Concise Beam version 4.59b is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF MAY 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59b is maintenance release which includes the following changes;

April 23, 2013 - Concise Beam version 4.59a is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF APRIL 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59a is maintenance release which includes the following changes;

April 10, 2013 - Concise Beam version 4.59 is now available for download

YOUR COMMERCIAL LICENSE MUST BE CURRENT UP TO THE END OF APRIL 2013 AT THE EARLIEST TO BE ABLE TO USE THIS RELEASE. Users evaluating this new release will be able to use this version for the remainder of their 30 day evaluation period. If your license has expire please contact us about how to bring your license up to date in order to use this latest release and to receive technical support. You do not need to install any previous versions of Concise Beam before installing this latest release.

Version 4.59 includes the following changes;

older news...